### Method

# Ide Workspace get_header_bar

#### Declaration

    IdeHeaderBar*
    ide_workspace_get_header_bar (
      IdeWorkspace* self
    )

#### Description

Gets the headerbar for the workspace, if it is an `IdeHeaderBar`. Also works around Gtk giving back a GtkStack for the header bar.

Available since: | 3.32

#### Return value

Returns: | `IdeHeaderBar`
| An `IdeHeaderBar` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.